## ros-melodic-libmodbus 0.8.8

=== doc/Makefile ===
# Makefile.in generated by automake 1.14.1 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libmodbus
pkgincludedir = $(includedir)/libmodbus
pkglibdir = $(libdir)/libmodbus
pkglibexecdir = $(libexecdir)/libmodbus
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
#am__append_1 = $(MAN_HTML)
subdir = doc
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(dist_man_MANS)
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h \
	$(top_builddir)/tests/unit-test.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
man3dir = $(mandir)/man3
am__installdirs = "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(man7dir)"
man7dir = $(mandir)/man7
NROFF = nroff
MANS = $(dist_man_MANS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/praktikum1/workspace/libmodbus-3.0.6/missing aclocal-1.14
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/praktikum1/workspace/libmodbus-3.0.6/missing autoconf
AUTOHEADER = ${SHELL} /home/praktikum1/workspace/libmodbus-3.0.6/missing autoheader
AUTOMAKE = ${SHELL} /home/praktikum1/workspace/libmodbus-3.0.6/missing automake-1.14
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Werror
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBMODBUS_LT_VERSION_INFO = 5:5:0
LIBMODBUS_VERSION = 3.0.6
LIBMODBUS_VERSION_MAJOR = 3
LIBMODBUS_VERSION_MICRO = 6
LIBMODBUS_VERSION_MINOR = 0
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/praktikum1/workspace/libmodbus-3.0.6/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libmodbus
PACKAGE_BUGREPORT = https://github.com/stephane/libmodbus/issues
PACKAGE_NAME = libmodbus
PACKAGE_STRING = libmodbus 3.0.6
PACKAGE_TARNAME = libmodbus
PACKAGE_URL = 
PACKAGE_VERSION = 3.0.6
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 3.0.6
abs_builddir = /home/praktikum1/workspace/libmodbus-3.0.6/doc
abs_srcdir = /home/praktikum1/workspace/libmodbus-3.0.6/doc
abs_top_builddir = /home/praktikum1/workspace/libmodbus-3.0.6
abs_top_srcdir = /home/praktikum1/workspace/libmodbus-3.0.6
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
ac_libmodbus_have_asciidoc = no
ac_libmodbus_have_xmlto = no
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/praktikum1/workspace/libmodbus-3.0.6/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /home/praktikum1/workspace/libmodbus
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
MAN3 = \
        modbus_close.3 \
        modbus_connect.3 \
        modbus_flush.3 \
        modbus_free.3 \
        modbus_get_byte_from_bits.3 \
        modbus_get_byte_timeout.3 \
        modbus_get_float.3 \
        modbus_get_header_length.3 \
        modbus_get_response_timeout.3 \
        modbus_get_socket.3 \
        modbus_mapping_free.3 \
        modbus_mapping_new.3 \
        modbus_new_rtu.3 \
        modbus_new_tcp_pi.3 \
        modbus_new_tcp.3 \
        modbus_read_bits.3 \
        modbus_read_input_bits.3 \
        modbus_read_input_registers.3 \
        modbus_read_registers.3 \
        modbus_receive_confirmation.3 \
        modbus_receive_from.3 \
        modbus_receive.3 \
        modbus_reply_exception.3 \
        modbus_reply.3 \
        modbus_report_slave_id.3 \
        modbus_rtu_get_serial_mode.3 \
        modbus_rtu_set_serial_mode.3 \
        modbus_send_raw_request.3 \
        modbus_set_bits_from_bytes.3 \
        modbus_set_bits_from_byte.3 \
        modbus_set_byte_timeout.3 \
        modbus_set_debug.3 \
        modbus_set_error_recovery.3 \
        modbus_set_float.3 \
        modbus_set_response_timeout.3 \
        modbus_set_slave.3 \
        modbus_set_socket.3 \
        modbus_strerror.3 \
        modbus_tcp_listen.3 \
        modbus_write_and_read_registers.3 \
        modbus_write_bits.3 \
        modbus_write_bit.3 \
        modbus_write_registers.3 \
        modbus_write_register.3

MAN7 = libmodbus.7
MAN_DOC = $(MAN3) $(MAN7)
MAN_TXT = $(MAN3:%.3=%.txt) $(MAN7:%.7=%.txt)
MAN_HTML = $(MAN_TXT:%.txt=%.html)
dist_man_MANS = $(MAN_DOC)
EXTRA_DIST = asciidoc.conf $(MAN_TXT) $(am__append_1)
MAINTAINERCLEANFILES = $(MAN_DOC) $(MAN_HTML)
#SUFFIXES = .html .txt .xml .1 .3 .7
all: all-am

.SUFFIXES:
.SUFFIXES: .html .txt .xml .1 .3 .7
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign doc/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-man3: $(dist_man_MANS)
	@$(NORMAL_INSTALL)
	@list1=''; \
	list2='$(dist_man_MANS)'; \
	test -n "$(man3dir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(man3dir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(man3dir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \

=== debian/changelog ===
ros-melodic-libmodbus (0.8.8-1stretch) stretch; urgency=high

  * reintroduiced not so redundant include file
  * Contributors: Gilbert Groten

 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-libmodbus (0.8.7-1stretch) stretch; urgency=high

  * removed previously generated .la files
  * Contributors: Gilbert Groten

 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-libmodbus (0.8.6-1stretch) stretch; urgency=high

  * removed redundant include file
  * Contributors: Gilbert Groten

 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-libmodbus (0.8.5-1stretch) stretch; urgency=high

  * removed redundant source file
  * Contributors: Gilbert Groten

 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-libmodbus (0.8.4-1stretch) stretch; urgency=high

  * removed redundant makefile
  * Contributors: Gilbert Groten

 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-libmodbus (0.8.3-1stretch) stretch; urgency=high

  * removed redundant makefile
  * Contributors: Gilbert Groten

 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-libmodbus (0.8.2-1stretch) stretch; urgency=high

  * removed redundant makefile
  * Contributors: Gilbert Groten

 -- Denis Štogl <denis.stogl@kit.edu>  Tue, 11 Dec 2018 23:00:00 -0000

ros-melodic-libmodbus (0.8.1-1stretch) stretch; urgency=high

  * Cleaned libmodbus with correct includes (#2)
  * Update CMakeLists.txt
  * Update CMakeLists.txt
  * Ati rs485 interface (#1)
    * Integrated the libmodbus package (https://libmodbus.org/).
    The package was build on the official v3.1.4. release of libmodbus and was slightly modified.
    The modifications enable us to use custom baudrates not supported in the termios.h by using 'baudrate aliasing'.
    This will redefine an existing baudrate to the baudrate requested by the user and then it for modbus communication.
    * Renamed repository and added travis build
  * Contributors: Denis Štogl

 -- Denis Štogl <denis.stogl@kit.edu>  Mon, 10 Dec 2018 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-libmodbus
Section: misc
Priority: extra
Maintainer: Denis Štogl <denis.stogl@kit.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cmake-modules
Homepage: http://wiki.ros.org/iirob_controllers
Standards-Version: 3.9.2

Package: ros-melodic-libmodbus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cmake-modules
Description: The iirob_filters package implements following filters: 1) Low-Pass 2) Moving Mean 3) Gravity Compensation (used for force-torque sensors) 4) Threshold Filter
